﻿
namespace Crm.Utilities.SolutionsDeploymentTool.UI.Helpers
{
    public static class Constants
    {
        public const string UI_NOT_CONNECTED = "Not Connected";
        public const string UI_CONNECTED = "Connected";
        public const string UI_CONNECTING = "Connecting...";
        public const string UI_SOURCE_CONNECTED = "Source Connected";
        public const string UI_SOURCE_NOT_CONNECTED = "Source Not Connected"; 
        public const string UI_TARGET_CONNECTED = "Target Connected";
        public const string UI_TARGET_NOT_CONNECTED = "Target Not Connected";

        public static string Solution_FriendlyName = "friendlyname";
        public static string Solution_UniqueName = "uniquename";
        public static string Solution_Version = "version";
        public static string Solution_VersionNumber = "versionnumber";
        public static string Solution_IsManaged = "ismanaged";
        public static string Solution_IsVisible = "isvisible";

        public static string XML_Connection = "Connection";
        public static string XML_ServerUrl = "ServerUrl";
        public static string XML_OrgName = "OrgName";
        public static string XML_UserLogin = "Login";
        public static string XML_UserDomain = "Domain";
        public static string XML_SecurePassword = "SecurePassword";
        public static string XML_Timeout = "ConnectionTimeout";
        public static string XML_SolutionFolder = "SolutionsFolder";
        public static string XML_ConnType = "ConnectionType";
        public static string XML_SourceConnectionType = "SourceConnectionType";

        public static string Message_Success = "Success";
        public static string Message_Error = "Error";
        public static string Message_Warning = "Warning";
        
        public static string TextBox_Separator = "-----------------------------------------";
    }
}
