﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Crm.Utilities.SolutionsDeploymentTool.UI.Helpers
{
    public enum ConnectionType
    {
        CrmOnline = 1,
        ADFS = 2,
        Default = 3
    };

    public enum SourceType
    {
        Directory = 1,
        CRM = 2
    };

    public enum MessageSeverity
    {
        Success = 0,
        Information = 1,
        Warning = 2,
        Error = 3
    };

    public enum ExportType
    {
        Undefined = -1,
        UnmanagedOnly = 0,
        ManagedOnly = 1,
        UnmanagedAndManaged = 2
    };

    public enum ImportType
    {
        Unmanaged = 0,
        Managed = 1
    };

    public enum PublishOptions
    {
        Undefined = -1,
        DoNotPublish = 0,
        PublishAllAfterEachImport = 1,
        PublishAllAfterAllImport = 2
    };

    public enum OperationType
    {
        Undefined = -1,
        ExportSolutions = 0,
        ImportSolutions = 1, 
        Export_ImportSolutions = 2,
        PublishCustomizations = 3
    };
}
